Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/migrate-fencing.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/migrate-fencing.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/migrate-fencing.exp
@@ -1,533 +1,533 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="1"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <pseudo_event id="20" operation="stop" operation_key="FencingChild:0_stop_0">
+      <pseudo_event id="21" operation="stop" operation_key="FencingChild:0_stop_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="180000"  pcmk_arg_map="domain:uname"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="29" operation="stop" operation_key="Fencing_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
       </trigger>
       <trigger>
-        <crm_event id="93" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
+        <pseudo_event id="30" operation="stop" operation_key="Fencing_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1" priority="1000000">
     <action_set>
-      <pseudo_event id="30" operation="stopped" operation_key="Fencing_stopped_0">
+      <pseudo_event id="31" operation="stopped" operation_key="Fencing_stopped_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="20" operation="stop" operation_key="FencingChild:0_stop_0"/>
+        <pseudo_event id="21" operation="stop" operation_key="FencingChild:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="29" operation="stop" operation_key="Fencing_stop_0"/>
+        <pseudo_event id="30" operation="stop" operation_key="Fencing_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <pseudo_event id="29" operation="stop" operation_key="Fencing_stop_0">
+      <pseudo_event id="30" operation="stop" operation_key="Fencing_stop_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="93" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <pseudo_event id="43" operation="stopped" operation_key="group-1_stopped_0">
+      <pseudo_event id="44" operation="stopped" operation_key="group-1_stopped_0">
         <attributes CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="31" operation="stop" operation_key="r192.168.101.181_stop_0"/>
+        <pseudo_event id="32" operation="stop" operation_key="r192.168.101.181_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="34" operation="stop" operation_key="r192.168.101.182_stop_0"/>
+        <pseudo_event id="35" operation="stop" operation_key="r192.168.101.182_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="37" operation="stop" operation_key="r192.168.101.183_stop_0"/>
+        <pseudo_event id="38" operation="stop" operation_key="r192.168.101.183_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="42" operation="stop" operation_key="group-1_stop_0"/>
+        <pseudo_event id="43" operation="stop" operation_key="group-1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <pseudo_event id="42" operation="stop" operation_key="group-1_stop_0">
+      <pseudo_event id="43" operation="stop" operation_key="group-1_stop_0">
         <attributes CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="53" operation="stop" operation_key="lsb-dummy_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
       </trigger>
       <trigger>
-        <crm_event id="93" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
+        <pseudo_event id="54" operation="stop" operation_key="lsb-dummy_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <pseudo_event id="41" operation="running" operation_key="group-1_running_0">
+      <pseudo_event id="42" operation="running" operation_key="group-1_running_0">
         <attributes CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="32" operation="start" operation_key="r192.168.101.181_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
+        <rsc_op id="33" operation="start" operation_key="r192.168.101.181_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
       </trigger>
       <trigger>
-        <rsc_op id="35" operation="start" operation_key="r192.168.101.182_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
+        <rsc_op id="36" operation="start" operation_key="r192.168.101.182_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
       </trigger>
       <trigger>
-        <rsc_op id="38" operation="start" operation_key="r192.168.101.183_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
+        <rsc_op id="39" operation="start" operation_key="r192.168.101.183_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="40" operation="start" operation_key="group-1_start_0"/>
+        <pseudo_event id="41" operation="start" operation_key="group-1_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6">
     <action_set>
-      <pseudo_event id="40" operation="start" operation_key="group-1_start_0">
+      <pseudo_event id="41" operation="start" operation_key="group-1_start_0">
         <attributes CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="43" operation="stopped" operation_key="group-1_stopped_0"/>
+        <pseudo_event id="44" operation="stopped" operation_key="group-1_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="89" operation="promoted" operation_key="master-1_promoted_0"/>
+        <pseudo_event id="90" operation="promoted" operation_key="master-1_promoted_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <rsc_op id="33" operation="monitor" operation_key="r192.168.101.181_monitor_5000" on_node="pcmk-1" on_node_uuid="pcmk-1">
+      <rsc_op id="34" operation="monitor" operation_key="r192.168.101.181_monitor_5000" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="r192.168.101.181" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.181"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="32" operation="start" operation_key="r192.168.101.181_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
+        <rsc_op id="33" operation="start" operation_key="r192.168.101.181_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="8">
     <action_set>
-      <rsc_op id="32" operation="start" operation_key="r192.168.101.181_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
+      <rsc_op id="33" operation="start" operation_key="r192.168.101.181_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="r192.168.101.181" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.181"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="31" operation="stop" operation_key="r192.168.101.181_stop_0"/>
+        <pseudo_event id="32" operation="stop" operation_key="r192.168.101.181_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="40" operation="start" operation_key="group-1_start_0"/>
+        <pseudo_event id="41" operation="start" operation_key="group-1_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="92" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="93" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="9">
     <action_set>
-      <pseudo_event id="31" operation="stop" operation_key="r192.168.101.181_stop_0">
+      <pseudo_event id="32" operation="stop" operation_key="r192.168.101.181_stop_0">
         <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.181"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="34" operation="stop" operation_key="r192.168.101.182_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
       </trigger>
       <trigger>
-        <pseudo_event id="42" operation="stop" operation_key="group-1_stop_0"/>
+        <pseudo_event id="35" operation="stop" operation_key="r192.168.101.182_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="93" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
+        <pseudo_event id="43" operation="stop" operation_key="group-1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="10">
     <action_set>
-      <rsc_op id="36" operation="monitor" operation_key="r192.168.101.182_monitor_5000" on_node="pcmk-1" on_node_uuid="pcmk-1">
+      <rsc_op id="37" operation="monitor" operation_key="r192.168.101.182_monitor_5000" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="r192.168.101.182" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.182"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="35" operation="start" operation_key="r192.168.101.182_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
+        <rsc_op id="36" operation="start" operation_key="r192.168.101.182_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="11">
     <action_set>
-      <rsc_op id="35" operation="start" operation_key="r192.168.101.182_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
+      <rsc_op id="36" operation="start" operation_key="r192.168.101.182_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="r192.168.101.182" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.182"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="32" operation="start" operation_key="r192.168.101.181_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
+        <rsc_op id="33" operation="start" operation_key="r192.168.101.181_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="34" operation="stop" operation_key="r192.168.101.182_stop_0"/>
+        <pseudo_event id="35" operation="stop" operation_key="r192.168.101.182_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="40" operation="start" operation_key="group-1_start_0"/>
+        <pseudo_event id="41" operation="start" operation_key="group-1_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="92" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="93" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="12">
     <action_set>
-      <pseudo_event id="34" operation="stop" operation_key="r192.168.101.182_stop_0">
+      <pseudo_event id="35" operation="stop" operation_key="r192.168.101.182_stop_0">
         <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.182"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="37" operation="stop" operation_key="r192.168.101.183_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
       </trigger>
       <trigger>
-        <pseudo_event id="42" operation="stop" operation_key="group-1_stop_0"/>
+        <pseudo_event id="38" operation="stop" operation_key="r192.168.101.183_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="93" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
+        <pseudo_event id="43" operation="stop" operation_key="group-1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="13">
     <action_set>
-      <rsc_op id="39" operation="monitor" operation_key="r192.168.101.183_monitor_5000" on_node="pcmk-1" on_node_uuid="pcmk-1">
+      <rsc_op id="40" operation="monitor" operation_key="r192.168.101.183_monitor_5000" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="r192.168.101.183" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.183"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="38" operation="start" operation_key="r192.168.101.183_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
+        <rsc_op id="39" operation="start" operation_key="r192.168.101.183_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="14">
     <action_set>
-      <rsc_op id="38" operation="start" operation_key="r192.168.101.183_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
+      <rsc_op id="39" operation="start" operation_key="r192.168.101.183_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="r192.168.101.183" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.183"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="35" operation="start" operation_key="r192.168.101.182_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
+        <rsc_op id="36" operation="start" operation_key="r192.168.101.182_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="37" operation="stop" operation_key="r192.168.101.183_stop_0"/>
+        <pseudo_event id="38" operation="stop" operation_key="r192.168.101.183_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="40" operation="start" operation_key="group-1_start_0"/>
+        <pseudo_event id="41" operation="start" operation_key="group-1_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="92" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="93" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="15">
     <action_set>
-      <pseudo_event id="37" operation="stop" operation_key="r192.168.101.183_stop_0">
+      <pseudo_event id="38" operation="stop" operation_key="r192.168.101.183_stop_0">
         <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.183"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="42" operation="stop" operation_key="group-1_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
       </trigger>
       <trigger>
-        <crm_event id="93" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
+        <pseudo_event id="43" operation="stop" operation_key="group-1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="16">
     <action_set>
-      <rsc_op id="52" operation="monitor" operation_key="rsc_pcmk-4_monitor_5000" on_node="pcmk-2" on_node_uuid="pcmk-2">
+      <rsc_op id="53" operation="monitor" operation_key="rsc_pcmk-4_monitor_5000" on_node="pcmk-2" on_node_uuid="pcmk-2">
         <primitive id="rsc_pcmk-4" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="pcmk-2" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.187"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="51" operation="start" operation_key="rsc_pcmk-4_start_0" on_node="pcmk-2" on_node_uuid="pcmk-2"/>
+        <rsc_op id="52" operation="start" operation_key="rsc_pcmk-4_start_0" on_node="pcmk-2" on_node_uuid="pcmk-2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="17">
     <action_set>
-      <rsc_op id="51" operation="start" operation_key="rsc_pcmk-4_start_0" on_node="pcmk-2" on_node_uuid="pcmk-2">
+      <rsc_op id="52" operation="start" operation_key="rsc_pcmk-4_start_0" on_node="pcmk-2" on_node_uuid="pcmk-2">
         <primitive id="rsc_pcmk-4" class="ocf" provider="heartbeat" type="IPaddr"/>
         <attributes CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="pcmk-2" CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.187"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="50" operation="stop" operation_key="rsc_pcmk-4_stop_0"/>
+        <pseudo_event id="51" operation="stop" operation_key="rsc_pcmk-4_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="92" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="93" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="18">
     <action_set>
-      <pseudo_event id="50" operation="stop" operation_key="rsc_pcmk-4_stop_0">
+      <pseudo_event id="51" operation="stop" operation_key="rsc_pcmk-4_stop_0">
         <attributes CRM_meta_timeout="60000" cidr_netmask="32"  ip="192.168.101.187"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="93" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="19">
     <action_set>
-      <rsc_op id="55" operation="monitor" operation_key="lsb-dummy_monitor_5000" on_node="pcmk-1" on_node_uuid="pcmk-1">
+      <rsc_op id="56" operation="monitor" operation_key="lsb-dummy_monitor_5000" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="lsb-dummy" class="lsb" type="/usr/share/pacemaker/tests/cts/LSBDummy"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="54" operation="start" operation_key="lsb-dummy_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
+        <rsc_op id="55" operation="start" operation_key="lsb-dummy_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="20">
     <action_set>
-      <rsc_op id="54" operation="start" operation_key="lsb-dummy_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
+      <rsc_op id="55" operation="start" operation_key="lsb-dummy_start_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="lsb-dummy" class="lsb" type="/usr/share/pacemaker/tests/cts/LSBDummy"/>
         <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="41" operation="running" operation_key="group-1_running_0"/>
+        <pseudo_event id="42" operation="running" operation_key="group-1_running_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="53" operation="stop" operation_key="lsb-dummy_stop_0"/>
+        <pseudo_event id="54" operation="stop" operation_key="lsb-dummy_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="92" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="93" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="21">
     <action_set>
-      <pseudo_event id="53" operation="stop" operation_key="lsb-dummy_stop_0">
+      <pseudo_event id="54" operation="stop" operation_key="lsb-dummy_stop_0">
         <attributes CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="93" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="22">
     <action_set>
-      <rsc_op id="60" operation="migrate_from" operation_key="migrator_migrate_from_0" on_node="pcmk-3" on_node_uuid="pcmk-3">
+      <rsc_op id="61" operation="migrate_from" operation_key="migrator_migrate_from_0" on_node="pcmk-3" on_node_uuid="pcmk-3">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_migrate_source="pcmk-1" CRM_meta_migrate_target="pcmk-3" CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="pcmk-3" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="59" operation="migrate_to" operation_key="migrator_migrate_to_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
+        <rsc_op id="60" operation="migrate_to" operation_key="migrator_migrate_to_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="23">
     <action_set>
-      <rsc_op id="59" operation="migrate_to" operation_key="migrator_migrate_to_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
+      <rsc_op id="60" operation="migrate_to" operation_key="migrator_migrate_to_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_migrate_source="pcmk-1" CRM_meta_migrate_target="pcmk-3" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_record_pending="true" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="92" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="93" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="24">
     <action_set>
-      <rsc_op id="58" operation="monitor" operation_key="migrator_monitor_10000" on_node="pcmk-3" on_node_uuid="pcmk-3">
+      <rsc_op id="59" operation="monitor" operation_key="migrator_monitor_10000" on_node="pcmk-3" on_node_uuid="pcmk-3">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="pcmk-3" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="57" operation="start" operation_key="migrator_start_0"/>
+        <pseudo_event id="58" operation="start" operation_key="migrator_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="25">
     <action_set>
-      <pseudo_event id="57" operation="start" operation_key="migrator_start_0">
+      <pseudo_event id="58" operation="start" operation_key="migrator_start_0">
         <attributes CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="56" operation="stop" operation_key="migrator_stop_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
+        <rsc_op id="57" operation="stop" operation_key="migrator_stop_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
       </trigger>
       <trigger>
-        <rsc_op id="60" operation="migrate_from" operation_key="migrator_migrate_from_0" on_node="pcmk-3" on_node_uuid="pcmk-3"/>
+        <rsc_op id="61" operation="migrate_from" operation_key="migrator_migrate_from_0" on_node="pcmk-3" on_node_uuid="pcmk-3"/>
       </trigger>
       <trigger>
-        <pseudo_event id="92" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="93" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="26">
     <action_set>
-      <rsc_op id="56" operation="stop" operation_key="migrator_stop_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
+      <rsc_op id="57" operation="stop" operation_key="migrator_stop_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="60" operation="migrate_from" operation_key="migrator_migrate_from_0" on_node="pcmk-3" on_node_uuid="pcmk-3"/>
+        <rsc_op id="61" operation="migrate_from" operation_key="migrator_migrate_from_0" on_node="pcmk-3" on_node_uuid="pcmk-3"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="27">
     <action_set>
-      <pseudo_event id="61" operation="stop" operation_key="ping-1:0_stop_0">
+      <pseudo_event id="62" operation="stop" operation_key="ping-1:0_stop_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000"  debug="true" host_list="192.168.9.161" name="connected"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="70" operation="stop" operation_key="Connectivity_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
       </trigger>
       <trigger>
-        <crm_event id="93" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
+        <pseudo_event id="71" operation="stop" operation_key="Connectivity_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="28" priority="1000000">
     <action_set>
-      <pseudo_event id="71" operation="stopped" operation_key="Connectivity_stopped_0">
+      <pseudo_event id="72" operation="stopped" operation_key="Connectivity_stopped_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="61" operation="stop" operation_key="ping-1:0_stop_0"/>
+        <pseudo_event id="62" operation="stop" operation_key="ping-1:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="70" operation="stop" operation_key="Connectivity_stop_0"/>
+        <pseudo_event id="71" operation="stop" operation_key="Connectivity_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="29">
     <action_set>
-      <pseudo_event id="70" operation="stop" operation_key="Connectivity_stop_0">
+      <pseudo_event id="71" operation="stop" operation_key="Connectivity_stop_0">
         <attributes CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="93" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="30">
     <action_set>
-      <pseudo_event id="73" operation="stop" operation_key="stateful-1:0_stop_0">
+      <pseudo_event id="74" operation="stop" operation_key="stateful-1:0_stop_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="72" operation="demote" operation_key="stateful-1:0_demote_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
       </trigger>
       <trigger>
-        <pseudo_event id="86" operation="stop" operation_key="master-1_stop_0"/>
+        <pseudo_event id="73" operation="demote" operation_key="stateful-1:0_demote_0"/>
       </trigger>
       <trigger>
-        <crm_event id="93" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
+        <pseudo_event id="87" operation="stop" operation_key="master-1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="31">
     <action_set>
-      <pseudo_event id="72" operation="demote" operation_key="stateful-1:0_demote_0">
+      <pseudo_event id="73" operation="demote" operation_key="stateful-1:0_demote_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="60000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="90" operation="demote" operation_key="master-1_demote_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
       </trigger>
       <trigger>
-        <crm_event id="93" operation="stonith" operation_key="stonith-pcmk-4-reboot" on_node="pcmk-4" on_node_uuid="pcmk-4"/>
+        <pseudo_event id="91" operation="demote" operation_key="master-1_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="32">
     <action_set>
-      <rsc_op id="77" operation="monitor" operation_key="stateful-1:1_monitor_16000" on_node="pcmk-1" on_node_uuid="pcmk-1">
+      <rsc_op id="78" operation="monitor" operation_key="stateful-1:1_monitor_16000" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="stateful-1" long-id="stateful-1:1" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="16000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_op_target_rc="8" CRM_meta_role="Master" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="76" operation="promote" operation_key="stateful-1:1_promote_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
+        <rsc_op id="77" operation="promote" operation_key="stateful-1:1_promote_0" on_node="pcmk-1" on_node_uuid="pcmk-1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="33">
     <action_set>
-      <rsc_op id="76" operation="promote" operation_key="stateful-1:1_promote_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
+      <rsc_op id="77" operation="promote" operation_key="stateful-1:1_promote_0" on_node="pcmk-1" on_node_uuid="pcmk-1">
         <primitive id="stateful-1" long-id="stateful-1:1" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="pcmk-1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="88" operation="promote" operation_key="master-1_promote_0"/>
+        <pseudo_event id="89" operation="promote" operation_key="master-1_promote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="92" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="93" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="34">
     <action_set>
-      <rsc_op id="80" operation="monitor" operation_key="stateful-1:3_monitor_15000" internal_operation_key="stateful-1:2_monitor_15000" on_node="pcmk-3" on_node_uuid="pcmk-3">
+      <rsc_op id="81" operation="monitor" operation_key="stateful-1:3_monitor_15000" internal_operation_key="stateful-1:2_monitor_15000" on_node="pcmk-3" on_node_uuid="pcmk-3">
         <primitive id="stateful-1" long-id="stateful-1:3" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="15000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="pcmk-3" CRM_meta_timeout="60000" />
       </rsc_op>
